Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566176 - Implement panic fix with vsphere when referencing VMName
Summary: Implement panic fix with vsphere when referencing VMName
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.z
Assignee: Jan Safranek
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks: 1590606
TreeView+ depends on / blocked
 
Reported: 2018-04-11 17:27 UTC by Greg Rodriguez II
Modified: 2018-06-13 02:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1590606 (view as bug list)
Environment:
Doc Type: Doc Text: If this bug requires documentation, please select an appropriate Doc Type value. PM Score: 65 Build ID: Partner: None (edit) Verified: None (edit) Clone Of: Devel Conditional NAK: None (edit) QE Conditional NAK: None (edit) Environment:
Last Closed: 2018-06-12 16:13:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Greg Rodriguez II 2018-04-11 17:27:51 UTC
Description of problem:
Identified issue with vsphere regarding VMName resulting in panic stating "runtime error: invalid memory address or nil pointer dereference."  See below log entry from customer.
Issue resolved in Kubernetes here: https://github.com/kubernetes/kubernetes/pull/44661/files
Fix implemented in OpenShift 3.7, need to see if possible to implement in 3.6

-- Unit atomic-openshift-master-controllers.service has begun starting up.
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: W0411 12:24:14.139605   89894 start_master.go:297] Warning: auditConfig.auditFilePath: Required value: audit can not be logged to a separate file, master start will continue.
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: I0411 12:24:14.148686   89894 start_master.go:441] Starting controllers on 0.0.0.0:8444 (v3.6.173.0.96)
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: I0411 12:24:14.148720   89894 start_master.go:445] Using images from "openshift3/ose-<component>:v3.6.173.0.96"
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: I0411 12:24:14.150457   89894 master.go:323] Started health checks at 0.0.0.0:8444
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: W0411 12:24:14.150746   89894 vsphere.go:281] port is a deprecated field in vsphere.conf and will be removed in future release.
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: panic: runtime error: invalid memory address or nil pointer dereference
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: [signal SIGSEGV: segmentation violation code=0x1 addr=0x20 pc=0x2280fe7]
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: goroutine 1 [running]:
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: panic(0x48a0ea0, 0xc42000e040)
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: /usr/lib/golang/src/runtime/panic.go:500 +0x1a1 fp=0xc42168a2b0 sp=0xc42168a220
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: runtime.panicmem()
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: /usr/lib/golang/src/runtime/panic.go:62 +0x6d fp=0xc42168a2e0 sp=0xc42168a2b0
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: runtime.sigpanic()
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: /usr/lib/golang/src/runtime/sigpanic_unix.go:24 +0x214 fp=0xc42168a338 sp=0xc42168a2e0
Apr 11 12:24:14 customer-test-example atomic-openshift-master-controllers[89894]: github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/cloudprovider/providers/vsphere.getVMName(0xc420487090, 0xc4206c48f0, 0x0, 0x0, 0x0, 0x0)

Additional info:
https://github.com/kubernetes/kubernetes/pull/44661/files

Comment 1 Jan Safranek 2018-04-12 12:30:21 UTC
This bug has been fixed in OSE 3.7, can the customer update to it?

Comment 2 Greg Rodriguez II 2018-04-12 16:07:44 UTC
Waiting for a response from the customer with that request at this time.  I will keep you informed.

Comment 3 Jan Safranek 2018-04-12 16:43:22 UTC
Restoring needinfo flag, waiting for the customer.

Comment 4 Jan Safranek 2018-05-04 11:48:19 UTC
I am closing this bug for now, please reopen if customer really needs 3.6 backport.


Note You need to log in before you can comment on or make changes to this bug.